* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  body {
    font-family: Arial, sans-serif;
    background-color: #FFEBEB;
    color: #333;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
  }

  header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
  }

  .logo {
    height: 40px;
  }

  .store-info {
    display: flex;
    align-items: center;
    gap: 15px;
    font-size: 1em;
    padding: 12px;
    background: #EBFAFF;
    color: #002F3D;
    border-radius: 8px;
  }

  .store-info img {
    height: 30px;
  }

  .store-info-s {
    display: none;
    align-items: center;
    gap: 15px;
    font-size: 1em;
    padding: 24px;
    background: #EBFAFF;
    color: #002F3D;
    border-radius: 12px;
  }

  .store-info-s img {
    height: 30px;
  }

  main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 20px;
  }

  h1 {
    font-size: 2.5em;
    margin-bottom: 10px;
  }

  p {
    font-size: 1.2em;
    margin-bottom: 30px;
  }

  form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    max-width: 400px;
  }

  input[type="email"] {
    padding: 12px;
    font-size: 1em;
    border: 1px solid #ccc;
    border-radius: 5px;
  }

  button {
    padding: 12px;
    font-size: 1em;
    background-color: #E83635;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }

  button:hover {
    background-color: #0056b3;
  }

  @media (max-width: 600px) {
    header {
        justify-content: center;
    }

    .store-info {
      flex-wrap: wrap;
      display: none;
    }

    .store-info-s {
        display: flex;
        margin-top: 30px;
      }
  }